Subject: Re: [PATCH v2] net: fec: Add ECR bit macros, fix FEC_ECR_EN1588 being cleared on link-down

From: Simon Horman <[email-masked]>
Date: Fri, 7 Jun 2024 15:39:59 +0100

On Fri, Jun 07, 2024 at 11:12:56AM +0200, Csókás Bence wrote:
> Hi!
> 
> On 6/7/24 10:32, Hariprasad Kelam wrote:
> > > FEC_ECR_EN1588 bit gets cleared after MAC reset in `fec_stop()`, which makes
> > > all 1588 functionality shut down on link-down. However, some functionality
> > > needs to be retained (e.g. PPS) even without link.
> > > 
> > 
> > 
> >      Since this patch is targeted for net, please add fixes tag.
> 
> This issue has existed for "practically all time". I guess if I had to pick
> one commit, it would be:
> 
> Fixes: 6605b730c061 FEC: Add time stamping code and a PTP hardware clock
> 
> I don't know if it makes sense to add this ancient commit from 22 years ago,
> but if so, then so be it.

Thanks Csókás,

The practice is to use use even ancient commits in Fixes tags,
as it indicates how far back backports should go in theory,
even if backports don't go that far back in practice.